WP6AttributeGroup Class Referenceabstract

`#include <WP6AttributeGroup.h>`

Inheritance diagram for WP6AttributeGroup:

## Public Member Functions

| WP6AttributeGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP6Listener *listener) override=0
unsigned char | getAttribute () const
Public Member Functions inherited from WP6FixedLengthGroup
| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Protected Member Functions

void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP6FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes

unsigned char | m_attribute

## Additional Inherited Members

Static Public Member Functions inherited from WP6FixedLengthGroup
static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## WP6AttributeGroup()

WP6AttributeGroup::WP6AttributeGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID )

Referenced by WP6AttributeOffGroup::WP6AttributeOffGroup(), and WP6AttributeOnGroup::WP6AttributeOnGroup().

## Member Function Documentation

## _readContents()

void WP6AttributeGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override protected virtual

Implements WP6FixedLengthGroup.

## getAttribute()

unsigned char WP6AttributeGroup::getAttribute | ( |  | ) | const

inline

Referenced by WP6AttributeOffGroup::parse(), and WP6AttributeOnGroup::parse().

## parse()

void WP6AttributeGroup::parse | ( | WP6Listener * | listener | ) |

override pure virtual

Implements WP6Part.

Implemented in WP6AttributeOffGroup, and WP6AttributeOnGroup.

## Member Data Documentation

## m_attribute

unsigned char WP6AttributeGroup::m_attribute

private

Referenced by _readContents(), getAttribute(), and WP6AttributeGroup().

The documentation for this class was generated from the following files:

- WP6AttributeGroup.h
- WP6AttributeGroup.cpp